%define upstream_name    DateTime-Format-Flexible
%define upstream_version 0.37

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A module that try very hard to parse string into DateTime object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Builder) >= 0.740.0
BuildRequires: perl(DateTime::TimeZone)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Simple) >= 0.440.0
BuildArch:  noarch

# not autodetect, for some reason
Requires:   perl(Class::Factory::Util)
Requires:   perl(DateTime::Format::Strptime)
%description
If you have ever had to use a program that made you type in the date a
certain way and thought "Why can't the computer just figure out what date I
wanted?", this module is for you.

DateTime::Format::Flexible attempts to take any string you give it and
parse it into a DateTime object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO example
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jan 24 2025 tv <tv> 0.370.0-1.mga10
+ Revision: 2141530
- update to 0.37

* Wed Oct 09 2024 tv <tv> 0.350.0-1.mga10
+ Revision: 2104250
- update to 0.35

* Mon Mar 21 2022 umeabot <umeabot> 0.340.0-2.mga9
+ Revision: 1814739
- Mageia 9 Mass Rebuild

* Sat Jul 17 2021 tv <tv> 0.340.0-1.mga9
+ Revision: 1736365
- update to 0.34

* Sat May 29 2021 tv <tv> 0.330.0-1.mga9
+ Revision: 1728794
- update to 0.33

* Sun Feb 16 2020 umeabot <umeabot> 0.320.0-2.mga8
+ Revision: 1532210
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 0.320.0-1.mga8
+ Revision: 1442173
- update to 0.32

* Wed Oct 17 2018 shlomif <shlomif> 0.310.0-1.mga7
+ Revision: 1321447
- update to 0.31

* Thu Sep 20 2018 umeabot <umeabot> 0.300.0-2.mga7
+ Revision: 1282647
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 shlomif <shlomif> 0.300.0-1.mga7
+ Revision: 1210567
- update to 0.30

* Wed Mar 07 2018 shlomif <shlomif> 0.290.0-1.mga7
+ Revision: 1207185
- update to 0.29

* Mon Oct 02 2017 tv <tv> 0.280.0-2.mga7
+ Revision: 1163883
- rebuild with fixed rpm for missing autodeps

* Thu Aug 17 2017 sander85 <sander85> 0.280.0-1.mga7
+ Revision: 1141296
- update to 0.28

* Sat Jun 18 2016 pterjan <pterjan> 0.260.0-5.mga6
+ Revision: 1025118
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.260.0-4.mga6
+ Revision: 945659
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.260.0-3.mga5
+ Revision: 742304
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 0.260.0-1.mga5
+ Revision: 620527
- update to 0.26

* Sat Oct 19 2013 umeabot <umeabot> 0.250.0-2.mga4
+ Revision: 526858
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.250.0-1.mga4
+ Revision: 439002
- update to 0.25

* Sun Jan 13 2013 umeabot <umeabot> 0.240.0-2.mga3
+ Revision: 365596
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.240.0-1.mga3
+ Revision: 342038
- update to 0.24

* Mon Jun 18 2012 kharec <kharec> 0.230.0-1.mga3
+ Revision: 261542
- update to 0.23

* Wed Jan 04 2012 jquelin <jquelin> 0.210.0-1.mga2
+ Revision: 190298
- update to 0.21

* Mon Sep 26 2011 jquelin <jquelin> 0.200.0-1.mga2
+ Revision: 148053
- update to 0.20

* Mon Jan 24 2011 jquelin <jquelin> 0.190.0-1.mga1
+ Revision: 37414
- mageia rebuild
- imported package perl-DateTime-Format-Flexible

